## epics-pcas 4.13.3

=== Makefile ===
# Makefile at top of application tree
TOP = .
include $(TOP)/configure/CONFIG

# Directories to build, any order
DIRS += configure
DIRS += src

# Add any additional dependency rules here:

src_DEPEND_DIRS = configure

include $(TOP)/configure/RULES_TOP

=== src/Makefile ===
# Makefile at top of src tree
TOP = ..
include $(TOP)/configure/CONFIG

# Directories to build, any order
DIRS += gdd
DIRS += pcas
DIRS += template

# Add any additional dependency rules here:

pcas_DEPEND_DIRS += gdd

include $(TOP)/configure/RULES_TOP

=== src/gdd/Makefile ===
#*************************************************************************
# Copyright (c) 2002 The University of Chicago, as Operator of Argonne
#     National Laboratory.
# Copyright (c) 2002 The Regents of the University of California, as
#     Operator of Los Alamos National Laboratory.
# EPICS BASE is distributed subject to a Software License Agreement found
# in file LICENSE that is included with this distribution.
#*************************************************************************

TOP=../..

include $(TOP)/configure/CONFIG

include $(TOP)/configure/CONFIG_PCAS_VERSION

INC += gdd.h
INC += gddI.h
INC += gddContainer.h
INC += gddContainerI.h
INC += gddArray.h
INC += gddArrayI.h
INC += gddScalar.h
INC += gddScalarI.h
INC += gddNewDel.h
INC += gddUtils.h
INC += gddUtilsI.h
INC += gddErrorCodes.h
INC += aitTypes.h
INC += aitConvert.h
INC += aitHelpers.h
INC += dbMapper.h
INC += gddAppTable.h
INC += gddAppFuncTable.h
INC += smartGDDPointer.h
INC += gddEnumStringTable.h

# Can't put this in INC, it causes a circular build dependency
TARGETS += $(INSTALL_INCLUDE)/gddApps.h

HTMLS += gdd.html
HTMLS += gddref.html
HTMLS += gddref2.html

GDDSRCS = gdd.cc gddTest.cc gddAppTable.cc gddNewDel.cc \
    gddAppDefs.cc aitTypes.c aitConvert.cc aitHelpers.cc  \
    gddArray.cc gddContainer.cc gddErrorCodes.cc gddUtils.cc \
    gddEnumStringTable.cc

LIBRARY = gdd

gdd_SRCS = dbMapper $(GDDSRCS)

gdd_LIBS = Com

gdd_RCS = gdd.rc

PROD_HOST += genApps
genApps_SRCS = genApps.cc $(GDDSRCS)
genApps_SYS_LIBS_WIN32 = ws2_32

PROD_LIBS = Com

PROD_HOST += aitGen
aitGen_SRCS = aitTypes.c aitGen.c

# aitGen.c doesn't compile for linux-arm at -O3 when using gcc-3.4.5
aitGen_CFLAGS_linux-arm = -O2

CLEANS += $(COMMON_DIR)/aitConvertGenerated.cc

USR_CXXFLAGS_Linux = -fno-strict-aliasing
USR_CXXFLAGS_RTEMS = -fno-strict-aliasing
USR_CXXFLAGS_vxWorks = -fno-strict-aliasing

ifeq ($(T_A),$(EPICS_HOST_ARCH))
  # genApps and aitGen are needed to finish libgdd
  DELAY_INSTALL_LIBS = YES
endif

include $(TOP)/configure/RULES

# Manual dependencies
#
aitConvert$(DEP): $(COMMON_DIR)/aitConvertGenerated.cc
aitConvert$(OBJ): $(COMMON_DIR)/aitConvertGenerated.cc
dbMapper$(DEP): $(COMMON_DIR)/gddApps.h

# Rules for generated files
#
$(COMMON_DIR)/aitConvertGenerated.cc: $(AITGEN)
	$(AITGEN) $@

$(COMMON_DIR)/gddApps.h : $(GENAPPS)
	$(GENAPPS) $@

=== src/pcas/Makefile ===
#*************************************************************************
# Copyright (c) 2002 The University of Chicago, as Operator of Argonne
#     National Laboratory.
# Copyright (c) 2002 The Regents of the University of California, as
#     Operator of Los Alamos National Laboratory.
# EPICS BASE is distributed subject to a Software License Agreement found
# in file LICENSE that is included with this distribution.
#*************************************************************************

TOP=../..

include $(TOP)/configure/CONFIG

DIRS = build example

example_DEPEND_DIRS = build

include $(TOP)/configure/RULES_DIRS

=== src/template/Makefile ===
TOP=../..

include $(TOP)/configure/CONFIG

TEMPLATES_DIR = makeBaseApp

TEMPLATES += top/caServerApp/Makefile
TEMPLATES += top/caServerApp/excas.html
TEMPLATES += top/caServerApp/exAsyncPV.cc
TEMPLATES += top/caServerApp/exChannel.cc
TEMPLATES += top/caServerApp/exPV.cc
TEMPLATES += top/caServerApp/exScalarPV.cc
TEMPLATES += top/caServerApp/exServer.cc
TEMPLATES += top/caServerApp/exServer.h
TEMPLATES += top/caServerApp/exVectorPV.cc
TEMPLATES += top/caServerApp/main.cc
TEMPLATES += top/caServerApp/test.adl
TEMPLATES += top/caServerApp/vxEntry.cc

include $(TOP)/configure/RULES

=== src/pcas/build/Makefile ===
#*************************************************************************
# Copyright (c) 2002 The University of Chicago, as Operator of Argonne
#     National Laboratory.
# Copyright (c) 2002 The Regents of the University of California, as
#     Operator of Los Alamos National Laboratory.
# EPICS BASE Versions 3.13.7
# and higher are distributed subject to a Software License Agreement found
# in file LICENSE that is included with this distribution.
#*************************************************************************
TOP := ../../..
CAS := $(TOP)/src/pcas
SRC := $(CAS)/generic
IOSRC := $(CAS)/io/bsdSocket
STSRC := $(SRC)/st

include $(TOP)/configure/CONFIG

SRC_DIRS += $(SRC)
SRC_DIRS += $(IOSRC)
SRC_DIRS += $(STSRC)

include $(TOP)/configure/CONFIG_PCAS_VERSION

#USR_CXXFLAGS = $(USR_CFLAGS)

INC += casdef.h
INC += casEventMask.h
INC += casCtx.h
INC += caHdrLargeArray.h
INC += caNetAddr.h
INC += casVersion.h
INC += casVersionNum.h

LIBSRCS += caServer.cc
LIBSRCS += caServerI.cc
LIBSRCS += casCoreClient.cc
LIBSRCS += casDGClient.cc
LIBSRCS += casStrmClient.cc
LIBSRCS += casPV.cc
LIBSRCS += casPVI.cc
LIBSRCS += casChannel.cc
LIBSRCS += casChannelI.cc
LIBSRCS += casAsyncIOI.cc
LIBSRCS += casAsyncReadIO.cc
LIBSRCS += casAsyncReadIOI.cc
LIBSRCS += casAsyncWriteIO.cc
LIBSRCS += casAsyncWriteIOI.cc
LIBSRCS += casAsyncPVExistIO.cc
LIBSRCS += casAsyncPVExistIOI.cc
LIBSRCS += casAsyncPVAttachIO.cc
LIBSRCS += casAsyncPVAttachIOI.cc
LIBSRCS += casEventSys.cc
LIBSRCS += casMonitor.cc
LIBSRCS += casMonEvent.cc
LIBSRCS += inBuf.cc
LIBSRCS += outBuf.cc
LIBSRCS += casCtx.cc
LIBSRCS += casEventMask.cc
LIBSRCS += ioBlocked.cc
LIBSRCS += pvExistReturn.cc
LIBSRCS += pvAttachReturn.cc
LIBSRCS += caNetAddr.cc
LIBSRCS += beaconTimer.cc
LIBSRCS += beaconAnomalyGovernor.cc
LIBSRCS += clientBufMemoryManager.cpp
LIBSRCS += chanIntfForPV.cc
LIBSRCS += channelDestroyEvent.cpp

LIBSRCS += casIntfOS.cc
LIBSRCS += casDGIntfOS.cc
LIBSRCS += casStreamOS.cc

LIBSRCS += caServerIO.cc
LIBSRCS += casIntfIO.cc
LIBSRCS += casDGIntfIO.cc
LIBSRCS += casStreamIO.cc
LIBSRCS += ipIgnoreEntry.cc

USR_CXXFLAGS_Linux = -fno-strict-aliasing
USR_CXXFLAGS_RTEMS = -fno-strict-aliasing
USR_CXXFLAGS_vxWorks = -fno-strict-aliasing

# There is a bug in some vxWorks compilers that these work around:
ifeq ($(VXWORKS_VERSION)$(filter -mcpu=604,$(ARCH_DEP_CFLAGS)), 6.6-mcpu=604)
  casDGIntfOS_CXXFLAGS = -fno-inline
  casStreamOS_CXXFLAGS = -fno-inline
endif

LIBRARY = cas
cas_LIBS = ca gdd Com
cas_SYS_LIBS_WIN32 = ws2_32
cas_RCS = cas.rc

CLEANS += Templates.DB

include $(TOP)/configure/RULES

# Can't use EXPAND as generated headers must appear
# in O.Common, but EXPAND emits rules for O.$(T_A)
../O.Common/casVersionNum.h: ../casVersionNum.h@
	$(EXPAND_TOOL) $(EXPANDFLAGS) $($@_EXPANDFLAGS) $< $@

=== src/pcas/example/Makefile ===
#*************************************************************************
# Copyright (c) 2002 The University of Chicago, as Operator of Argonne
#     National Laboratory.
# Copyright (c) 2002 The Regents of the University of California, as
#     Operator of Los Alamos National Laboratory.
# EPICS BASE Versions 3.13.7
# and higher are distributed subject to a Software License Agreement found
# in file LICENSE that is included with this distribution.
#*************************************************************************

TOP=../../..

include $(TOP)/configure/CONFIG

DIRS = directoryService ex

include $(TOP)/configure/RULES_DIRS

=== src/pcas/example/directoryService/Makefile ===
#*************************************************************************
# Copyright (c) 2002 The University of Chicago, as Operator of Argonne
#     National Laboratory.
# Copyright (c) 2002 The Regents of the University of California, as
#     Operator of Los Alamos National Laboratory.
# EPICS BASE Versions 3.13.7
# and higher are distributed subject to a Software License Agreement found
# in file LICENSE that is included with this distribution.
#*************************************************************************

TOP=../../../..

include $(TOP)/configure/CONFIG

PROD_LIBS := cas ca gdd Com
#cas_DIR = $(INSTALL_LIB)
#ca_DIR = $(INSTALL_LIB)
#gdd_DIR = $(INSTALL_LIB)
#Com_DIR = $(INSTALL_LIB)

#
# Added winmm user32 for the non-dll build
#
PROD_SYS_LIBS_WIN32 := ws2_32 advapi32 user32

caDirServ_SRCS += main.cc
caDirServ_SRCS += directoryServer.cc

PROD_HOST = caDirServ

CLEANS += caDirServ pcaDirServ Templates.DB core

include $(TOP)/configure/RULES

pcaDirServ: $(PRODUCT_OBJS) $(PROD_RESS) $(PROD_DEPLIBS)
	$(PURIFY_$(OS_CLASS)) $(LINK.cpp)

=== src/pcas/example/ex/Makefile ===
#*************************************************************************
# Copyright (c) 2011 UChicago Argonne LLC, as Operator of Argonne
#     National Laboratory.
# Copyright (c) 2002 The Regents of the University of California, as
#     Operator of Los Alamos National Laboratory.
# EPICS BASE is distributed subject to a Software License Agreement found
# in file LICENSE that is included with this distribution.
#*************************************************************************

TOP=../../../..

include $(TOP)/configure/CONFIG

PROD_LIBS += cas gdd $(EPICS_BASE_HOST_LIBS)

SRC_DIRS += $(TOP)/src/template/top/caServerApp

#
# Added ws2_32 winmm user32 for the non-dll build
#
PROD_SYS_LIBS_WIN32 += ws2_32 advapi32 user32

PROD_HOST = excas

HTMLS += excas.html

excas_SRCS += main.cc
excas_SRCS += exServer.cc
excas_SRCS += exPV.cc
excas_SRCS += exVectorPV.cc
excas_SRCS += exScalarPV.cc
excas_SRCS += exAsyncPV.cc
excas_SRCS += exChannel.cc

include $(TOP)/configure/RULES

=== src/template/top/caServerApp/Makefile ===
#*************************************************************************
# Copyright (c) 2002 The University of Chicago, as Operator of Argonne
#     National Laboratory.
# Copyright (c) 2002 The Regents of the University of California, as
#     Operator of Los Alamos National Laboratory.
# EPICS BASE Versions 3.13.7
# and higher are distributed subject to a Software License Agreement found
# in file LICENSE that is included with this distribution. 
#*************************************************************************

TOP=..

include $(TOP)/configure/CONFIG

PROD_LIBS += $(EPICS_BASE_HOST_LIBS)

#
# Added ws2_32 winmm user32 for the non-dll build
#
PROD_SYS_LIBS_WIN32 += ws2_32 advapi32 user32

PROD_HOST = excas

excas_SRCS += main.cc
excas_SRCS += exServer.cc
excas_SRCS += exPV.cc
excas_SRCS += exVectorPV.cc
excas_SRCS += exScalarPV.cc
excas_SRCS += exAsyncPV.cc
excas_SRCS += exChannel.cc

include $(TOP)/configure/RULES

=== debian/changelog ===
epics-pcas (4.13.3-5) unstable; urgency=medium

  * Adjusting epics-dev requirement

 -- Jonathan Hanks <jhanks@caltech.edu>  Tue, 28 Nov 2023 09:41:16 -0800

epics-pcas (4.13.3-4) unstable; urgency=medium

  * Updating packaging to improve the upgrade experience from 3.15 by adding
    conflicts, replaces, breaks on epics-dev

 -- Jonathan Hanks <jhanks@caltech.edu>  Tue, 28 Nov 2023 09:17:54 -0800

epics-pcas (4.13.3-3) unstable; urgency=medium

  * Adding epics-dev as a requirement for epics-pcas-dev

 -- Jonathan Hanks <jhanks@caltech.edu>  Mon, 27 Nov 2023 16:41:12 -0800

epics-pcas (4.13.3-2) unstable; urgency=medium

  * Fixed a requirements issue, rename requirement from libpcas* to epics-pcas*
  * Fixed a install path for the doc package

 -- Jonathan Hanks <jhanks@caltech.edu>  Mon, 27 Nov 2023 16:19:21 -0800

epics-pcas (4.13.3-1) moderate; urgency=low

  * Initial packaging for Debian 12 with base 7

 -- jonathan.hanks <jhanks@caltech.edu>  Wed, 22 Nov 2023 23:53:45 +0000

=== debian/control ===
Source: epics-pcas
Section: unknown
Priority: optional
Maintainer: root <>
Build-Depends:
  debhelper-compat (= 13),
  epics-dev (>= 7.0.7),
  epics-debhelper,
Standards-Version: 4.5.1
Homepage:  https://github.com/epics-modules/pcas

Package: epics-pcas
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Portable Channel Access Server libraries
 This package contains the runtime libraries for the Portable
 Channel Access Server (pcas).

Package: epics-pcas-dev
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}, epics-pcas, epics-dev ( >= 7.0.7 )
Replaces: epics-dev ( << 4.0 )
Breaks: epics-dev ( << 4.0 )
Conflicts: epics-dev ( << 4.0 )
Description: Portable Channel Access Server Development files
 This package contains the development files for the Portable
 Channel Access Server (pcas).

Package: epics-pcas-doc
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}, epics-pcas-dev
Description: Portable Channel Access Server Development Documentation
 This package contains the documentation files for the Portable
 Channel Access Server (pcas).

=== debian/rules ===
#!/usr/bin/make -f
# You must remove unused comment lines for the released package.
export DH_VERBOSE = 1
#export DEB_BUILD_MAINT_OPTIONS = hardening=+all
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@ --with-epics -Sepicsmake --parallel

override_dh_auto_build:
	dh_auto_build
